﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Blahblah.FlowerStory.Server.Migrations
{
    /// <inheritdoc />
    public partial class AddAvatarMemo : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<byte[]>(
                name: "avatar",
                table: "users",
                type: "BLOB",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "memo",
                table: "records",
                type: "TEXT",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "memo",
                table: "flowers",
                type: "TEXT",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "avatar",
                table: "users");

            migrationBuilder.DropColumn(
                name: "memo",
                table: "records");

            migrationBuilder.DropColumn(
                name: "memo",
                table: "flowers");
        }
    }
}
