﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Blahblah.FlowerStory.Server.Migrations
{
    /// <inheritdoc />
    public partial class AddTokens : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "tokens",
                columns: table => new
                {
                    tid = table.Column<string>(type: "TEXT", nullable: false),
                    uid = table.Column<int>(type: "INTEGER", nullable: false),
                    logondate = table.Column<long>(type: "INTEGER", nullable: false),
                    activedate = table.Column<long>(type: "INTEGER", nullable: false),
                    expiredate = table.Column<long>(type: "INTEGER", nullable: false),
                    expiresecs = table.Column<int>(type: "INTEGER", nullable: false),
                    verifycode = table.Column<string>(type: "TEXT", nullable: true),
                    clientapp = table.Column<string>(type: "TEXT", nullable: true),
                    deviceid = table.Column<string>(type: "TEXT", nullable: true),
                    clientagent = table.Column<string>(type: "TEXT", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_tokens", x => x.tid);
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "tokens");
        }
    }
}
